Security Advisory Moderate: openstack-glance security and bug fix update

Advisory: RHSA-2014:0229-1
Type: Security Advisory
Severity: Moderate
Issued on: 2014-03-04
Last updated on: 2014-03-04
Affected Products: Red Hat OpenStack 4.0
CVEs ( CVE-2014-1948


Updated openstack-glance packages that fix one security issues and multiple
bugs are now available for Red Hat Enterprise Linux OpenStack Platform 4.0.

The Red Hat Security Response Team has rated this update as having Moderate
security impact. A Common Vulnerability Scoring System (CVSS) base score,
which gives a detailed severity rating, is available from the CVE link in
the References section.

OpenStack Image service (glance) provides discovery, registration, and
delivery services for disk and server images. It provides the ability to
copy or snapshot a server image, and immediately store it away. Stored
images can be used as a template to get new servers up and running quickly
and more consistently than installing a server operating system and
individually configuring additional services.

An information leak flaw was found in the way glance stored certain logging
information. An attacker with access to the glance log files could use this
flaw to obtain authentication credentials to the OpenStack Object Storage
(swift) back end. Note that only setups using the swift back end were
affected. (CVE-2014-1948)

The openstack-glance packages have been upgraded to upstream version
2013.2.2, which provides a number of bug fixes over the previous version.

All users of openstack-glance are advised to upgrade to these updated
packages, which correct these issues. After installing the updated
packages, the running OpenStack Image services must be manually restarted
(using "service [service name] restart") for this update to take effect.


Before applying this update, make sure all previously released errata
relevant to your system have been applied.

This update is available via the Red Hat Network. Details on how to
use the Red Hat Network to apply this update are available at

Updated packages

Red Hat OpenStack 4.0

File outdated by:  RHSA-2015:0246
    MD5: 5ad99980541c591147387250aa54d4a0
SHA-256: c489dc784bf45bea2ecbf5187e29a80af80b80a94c70659a436c0fb3bb4c1424
File outdated by:  RHSA-2015:0246
    MD5: edb3389879f9786ce8f203573407aeae
SHA-256: 27ac392c6c5508da68c7533327c64def3ddb27ff8357968c2d369cf6582a3522
File outdated by:  RHSA-2015:0246
    MD5: 0f82e779bcd85308281da632135869ca
SHA-256: 9f72eb09b57d7b3c7fa7de88bd6e62fd89a61d35f7492472ae4b2c0a88b1f234
File outdated by:  RHSA-2015:0246
    MD5: c9e844e490bd3fa61ea848d30875db97
SHA-256: 8e2f824500ecdd0b9dbbf1ca30e9994697c20cdbdf50715b5891a88c64556ec2
(The unlinked packages above are only available from the Red Hat Network)

Bugs fixed (see bugzilla for more information)

1064589 - CVE-2014-1948 openstack-glance: Glance Swift store backend password leak
1065313 - Rebase openstack-glance to 2013.2.2


These packages are GPG signed by Red Hat for security. Our key and details on how to verify the signature are available from:

The Red Hat security contact is More contact details at